#! /bin/bash

SF=sootfiltered-fop.tar.gz

SF=`pwd`/${SF}
INFOP=`pwd`/$1
OUTFOP=`pwd`/$2

if [ x$2 == x ]; then
    echo "Usage: $1 <input-fop.jar> <output-fop.jar>"
    exit 1
fi

D=`mktemp -d`

cd $D
pwd
jar xvf $INFOP || exit 1
tar --strip-components 1 -xvf $SF || exit 1
jar cvfm $OUTFOP META-INF/MANIFEST.MF * || exit 1

echo rm -rf $D
